/* ------------------------------------------------------------ *\
  multi-column-richtext
\* ------------------------------------------------------------ */

.multi-column-richtext {
  --font-size-body: 1.8rem;
  font-size: var(--font-size-body);
  letter-spacing: 0.03em;

  @media (max-width: 989px) {
    --font-size-body: 1.4rem;
  }
}

.multi-column-richtext__head {
  padding-inline: 4rem;

  @media (max-width: 989px) {
    padding: 1.7rem 1.6rem;
    font-size: var(--font-size-headings-s-mobile);
  }
}

.multi-column-richtext__grid {
  display: flex;

  @media (max-width: 989px) {
    display: block;
  }
}

.multi-column-richtext .rte p {
  margin-block: 2.8rem;
  line-height: 1.5;

  @media (max-width: 989px) {
    margin-block: 2rem;
    line-height: 1.214;
  }

  &:first-child {
    margin-block-start: 0;
  }

  &:last-child {
    margin-block-end: 0;
  }
}

.multi-column-richtext .rte :is(ul, ol) {
  margin-block: 3rem;
  padding-left: 0;

  li::marker {
    margin-right: 0.5rem;
  }
}

.multi-column-richtext .rte ol {
  counter-reset: item;
  list-style: none;
  padding-left: 2rem;

  @media (max-width: 989px) {
    padding-left: 1.6rem;
  }

  li {
    counter-increment: item;
  }

  li + li {
    margin-block-start: 1rem;

    @media (max-width: 989px) {
      margin-block-start: 1.1rem;
    }
  }

  li::before {
    content: counter(item) ". ";
    color: currentColor;
    display: inline-block;
    width: 1.5em;
    margin-left: -1em;
  }
}

.multi-column-richtext .rte ul {
  list-style: none;
  padding-left: 2rem;

  @media (max-width: 989px) {
    padding-left: 1.6rem;
  }

  li + li {
    margin-block-start: 1rem;

    @media (max-width: 989px) {
      margin-block-start: 1.1rem;
    }
  }

  li::before {
    content: '•';
    color: currentColor;
    font-size: 0.8em;
    display: inline-block;
    width: 1em;
    margin-left: -1em;
  }
}

.multi-column-richtext__column {
  flex: 0 0 56.6rem;
  padding: 4rem 5rem 5rem;

  @media (max-width: 989px) {
    padding: 2.4rem 1.6rem 3.2rem;
  }
}

.multi-column-richtext :is(h1, h2, h3, h4, h5, h6) {
  text-transform: uppercase;
  line-height: 1.1;
  margin-block-end: 4.4rem;

  @media (max-width: 989px) {
    margin-block-end: 2.6rem;
  }
}

.multi-column-richtext__column + .multi-column-richtext__column {
  border-inline-start: solid 1px var(--color-black);
  flex: 1;
  padding-block-start: 5rem;

  p {
    line-height: 1.33;
  }

  @media (max-width: 989px) {
    border: none;
    padding-block-start: 0;

    p {
      line-height: 1.214;
    }
  }
}

.multi-column-richtext__buttons {
  margin-block-start: 3rem;
  display: flex;
  justify-content: flex-start;
  gap: 1.5rem;
}

.multi-column-richtext__button {
  @media (max-width: 989px) {
    font-size: 1.4rem;
    padding-inline: 1.4rem;
  }
}
